curl --request GET \
--url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId} \
--header 'X-Clinia-API-Key: <api-key>'import requests
url = "https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId}"
headers = {"X-Clinia-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Clinia-API-Key': '<api-key>'}};
fetch('https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"pipelineDefinitionId": "<string>",
"status": "SUCCESSFUL",
"steps": [
{
"status": "PROCESSED",
"error": {
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
},
"decision": {
"id": "<string>",
"author": {
"id": "<string>",
"email": "<string>"
},
"actedAt": "2023-11-07T05:31:56Z",
"description": "<string>"
},
"processedAt": "2023-11-07T05:31:56Z"
}
],
"operation": {
"taskId": "<string>",
"id": "<string>",
"author": {
"id": "<string>",
"email": "<string>"
},
"action": "CREATE",
"target": {
"targetType": "RELATIONSHIP",
"id": "<string>",
"type": "<string>"
},
"body": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"processedOperation": {
"taskId": "<string>",
"id": "<string>",
"author": {
"id": "<string>",
"email": "<string>"
},
"action": "CREATE",
"target": {
"targetType": "RELATIONSHIP",
"id": "<string>",
"type": "<string>"
},
"body": {}
},
"reviewAssignment": {
"id": "<string>",
"operationId": "<string>",
"reviewerId": "<string>",
"assignerId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {},
"applicationErrorCode": "REGISTRY_DUPLICATE_IDENTIFIER"
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}{
"code": 400,
"message": "<string>",
"type": "ALREADY_EXISTS",
"details": "<array>",
"additionalContext": {}
}Get a pipeline execution
Get a pipeline execution.
Authorizations
Path Parameters
The key of the source.
The id of the pipeline execution.
Query Parameters
If set to true, the response will include the body of the operation that triggered the pipeline execution and the operation processed by the pipeline. Defaults to false.
Response
Returns the pipeline execution.
id to refer for a specific pipeline execution.
versioned id to the related pipeline definition that generated the pipeline execution.
^[a-zA-Z0-9_-]+.[0-9]+$Status of the pipeline execution.
SUCCESSFUL: The pipeline execution completed successfully. Every step of the pipeline was executed successfully and the change has been accepted in the system.ERROR: The pipeline execution failed at a step due to a system error.IN_PROGRESS: The pipeline execution is being processed by the system.IN_REVIEW: The pipeline execution is waiting for a manual action. Refer to the ActOnPipelineExecution endpoint.CANCELLED: The pipeline execution has been short-circuited by the system and never completed.DROPPED: The pipeline execution has been dropped because the change has been rejected by the user following review.
SUCCESSFUL, ERROR, IN_PROGRESS, IN_REVIEW, CANCELLED, DROPPED Show child attributes
Show child attributes
The initial operation that triggered the pipeline execution.
Show child attributes
Show child attributes
The operation processed by the pipeline. If the pipeline it not completed, it is the output of the last completed step.
Show child attributes
Show child attributes
Review assignment associated with the pipeline execution, if any.
Show child attributes
Show child attributes
Was this page helpful?